import processing.pdf.*;

int haut = 4900;
int larg = 3500;

void setup(){
  size(100, 100);
  
  PFont font = loadFont("DejaVuSans-Bold-48.vlw");
  
  PGraphics out = createGraphics(larg, haut, P2D);
  out.beginDraw();
  out.background(0);
  out.colorMode(HSB, 100);
  
  String lines[] = loadStrings("liste.txt");
  for(int i = 0; i < lines.length; i++){
    out.fill(int(random(22, 27)), int(random(40, 100)), 100, int(random(20, 100)));
    out.textFont(font, int(random(50,  200)));
    out.text(lines[i], int(random(0, larg - 1000)), int(random(1000, haut - 1000)));
  }
  
  PImage logo = loadImage("psm_logo.png");
  
  out.fill(100);
  out.textFont(font, 100);
  out.text("journées portes ouvertes", 300, 300);
  out.text("samedi 18 février 2012", 300, 400); 
  
  out.image(logo, (larg - 1000), (haut - 600));
  out.endDraw();
  out.save("affiche_" + year() + month() + day() + "_" + hour() + minute() + second() + ".jpg");
  
  exit();
}

